html {
  box-sizing: border-box;
}

*, *:before, *:after {
  box-sizing: inherit;
}

body {
  background: $bg-color;
  color: $text-color;
  font-family: $font-family;
  line-height: 1.65;
  font-size: $base-font-size / 16 * 100%;
  font-weight: $base-font-weight;
  -webkit-font-smoothing: antialiased;
}

// copy and lists
p {
  line-height: $leading;
  margin-top: $leading;
  margin-bottom: 0;
}

h2 + p, h3 + p, h4 + p {
  margin-top: $leading/4;
}

ul, ol {
  margin-top: $leading;
  margin-bottom: $leading;
}

ul li, ol li {
  line-height: $leading;
}

ul ul, ol ol  {
  margin-top: 0;
  margin-bottom: 0;
}

blockquote {
  line-height: $leading;
  margin-top: $leading;
  margin-bottom: $leading;
}

// heading
/* Headings */
h1, h2, h3, h4, h5, h6 {
  font-family: Roboto Mono;
  margin-top: $leading;
  margin-bottom: 0;
  line-height: $leading;
  font-weight: $bold-font-weight;
  color: $gray-dark;
}

h1 {
  font-size: 2 * $scale * 1rem;
  line-height: 2 * $leading;
  margin-top: 2 * $leading;
}

h2 {
  font-size: 1.5 * $scale * 1rem;
  line-height: 1.5 * $leading;
  margin-top: 1 * $leading;
}

h3 {
  font-size: 1.25 * $scale * 1rem;
}

h4 {
  font-size: $scale / 2 * 1rem;
}

h5 {
  font-size: $scale / 3 * 1rem;
}
h6 {
  font-size: $scale / 4 * 1rem;
}

// links
a {
  color: $brand-primary;
  text-decoration: none;
  transition: color 0.25 ease-in-out;
}

a:hover {
  color: darken($brand-primary, 15%);
}

// images and figures
img {
  max-width: 100%;
  vertical-align: middle;
  display: inline-block;
}

figure {
  margin-left: 0;
  margin-right: 0;
  margin-top: $leading;
  margin-bottom: $leading;
}

figure img {
  display: block;
}

figcaption {
  margin-top: 0.5rem;
  text-align: center;
}

// other
code {
  background-color: $gray-light;
  padding: 2px 4px;
  vertical-align: bottom;
  font-size: $scale * 0.85rem;
}

.interactive {
  width: 2000px;
  height: 5000px;
 background-color: F6F8FB;
 animation-name: example;
 animation-duration: 50s;
}

/* Standard syntax */
@keyframes example {
  0%   {background-color:#E49273; left:0px; top:0px;}
25%  {background-color:#A37A74; left:200px; top:0px;}
50%  {background-color:#7180AC; left:200px; top:200px;}
75%  {background-color:#2B4570; left:0px; top:200px;}
100% {background-color:#A8D0DB; left:0px; top:0px;}
}
/*0%   {background-color:#738290; left:0px; top:0px;}
25%  {background-color:#A1B5D8; left:200px; top:0px;}
50%  {background-color:#F6F8FB; left:200px; top:200px;}
75%  {background-color:#E4F0D0; left:0px; top:200px;}
100% {background-color:#C2D8B9; left:0px; top:0px;}*/

/* Standard syntax
@keyframes example {
  0%   {background-color:#F55D3E; left:0px; top:0px;}
25%  {background-color:#F7CB15; left:200px; top:0px;}
50%  {background-color:#FFFFFF; left:200px; top:200px;}
75%  {background-color:#76BED0; left:0px; top:200px;}
100% {background-color:#878E88; left:0px; top:0px;}
*/

div.gallery {
  margin: 5px;
  border: 1px solid #ccc;
  float: left;
  width: 400px;
}

div.gallery:hover {
  border: 1px solid #777;
}

div.gallery img {
  width: 100%;
  height: auto;
}

div.desc {
  padding: 15px;
  text-align: center;
}
